What I noticed from;
http://www.advancedbrowser.com/faq.htm

"What are the system requirements for Advanced Browser?
You will need a Pentium PC or higher. The operating system should be Windows 95, Windows NT, Windows 98, Windows 2000, Windows ME or Windows XP. Internet Explorer 5 or higher version should be installed. For Windows NT systems, Internet Explorer 6 is recommended."

So, possibly Advanced Browser is not compatible with Vista?

Why use proxy settings?

Another entry in that FAQ sheet;

"Why can't I access some websites with Advanced Browser?
If you can access the site with Internet Explorer you can access the same site with Advanced Browser. The trouble most likely is with the website you are trying to access being down or blocked by your ISP".

So, does IE5 or higher open this Home Page for you?

Mark